View Issue Details

IDProjectCategoryView StatusLast Update
0002677unrealircdpublic2013-05-07 06:34
ReporteraquanightAssigned Tonenolod 
PrioritynormalSeveritytrivialReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOSlinuxOS Version2.6.12
Product Version3.2.3 
Target VersionFixed in Version3.4-alpha1 
Summary0002677: Unused config directives?
DescriptionI found at least references to three directives that are defined but seem to have absolutely no effect (I have tried grep ;) ).

listen::options::remoteadmin

listen::options::mask (I'm speculating this is from pre-cloakmodules or something)

set::options::no-stealth (I think I *KNOW* where this is from :/ - and it probably could be removed).

I'm wondering if there was some purpose these used to serve or something.

On that note - the remoteadmin flag is at least also referenced in /stats linkinfo but has absolutely no effect short of that it seems.
Steps To Reproducegrep -iR LISTENER_REMOTEADMIN *

grep -iR LISTENER_MASK *

grep -iR no_oper_hiding *
TagsNo tags attached.
3rd party modules

Activities

syzop

2005-11-09 09:39

administrator   ~0010683

*grin* :P

WolfSage

2007-04-26 22:14

reporter   ~0013751

*wipes that silly grin off your face*

stskeeps

2007-04-27 02:30

reporter   ~0013754

WolfSage: is this bug report still valid?

stskeeps

2007-06-04 11:25

reporter   ~0014269

Fixed in .2415

nenolod

2013-05-07 06:33

reporter   ~0017518

http://hg.unrealircd.org/hg/unreal/rev/89d78910706c

Issue History

Date Modified Username Field Change
2005-11-06 22:12 aquanight New Issue
2005-11-09 09:39 syzop Note Added: 0010683
2005-11-09 09:39 syzop Status new => acknowledged
2007-04-26 22:14 WolfSage Note Added: 0013751
2007-04-27 02:30 stskeeps Note Added: 0013754
2007-06-04 11:25 stskeeps Status acknowledged => resolved
2007-06-04 11:25 stskeeps Fixed in Version => 3.3-alpha0
2007-06-04 11:25 stskeeps Resolution open => fixed
2007-06-04 11:25 stskeeps Assigned To => stskeeps
2007-06-04 11:25 stskeeps Note Added: 0014269
2011-07-19 17:41 syzop Assigned To stskeeps =>
2011-07-19 17:41 syzop Status resolved => needs re porting
2013-05-07 06:33 nenolod Note Added: 0017518
2013-05-07 06:33 nenolod Status needs re porting => resolved
2013-05-07 06:33 nenolod Fixed in Version 3.3-alpha0 => 3.4-alpha1
2013-05-07 06:33 nenolod Assigned To => nenolod